Public Member Functions | Public Attributes | List of all members
MacDrawProStyleManagerInternal::State Struct Reference

Internal: the state of a MacDrawProStyleManager. More...

## Public Member Functions
| State ()
| constructor More...
void | initBWPatterns ()
| init the black and white patterns list More...
void | initColors ()
| init the colors list More...
void | initDashs ()
| init the dashs list More...
void | initPens ()
| init the pens list More...

## Public Attributes
MWAWVec2f | m_documentSize
| the document size (in point) More...
int | m_numStyleZones [6]
| the number of zones More...
int | m_numColors
| the number of color More...
int | m_numBWPatterns
| the number of BW pattern More...
int | m_numColorPatterns
| the number of color pattern More...
int | m_numPatternsInTool
| the number of pattern in tool list More...
std::vector< MWAWColor > | m_colorList
| the color list More...
std::vector< MWAWColor > | m_displayColorList
| the display color list More...
std::vector< std::vector< float > > | m_dashList
| the list of dash More...
std::vector< MWAWFont > | m_fontList
| the list of font More...
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph More...
std::vector< float > | m_penSizeList
| the list of pen size More...
std::vector< MWAWGraphicStyle::Pattern > | m_BWPatternList
| the patterns list More...
std::vector< MWAWGraphicStyle::Pattern > | m_colorPatternList
| the color patterns list More...
std::vector< Gradient > | m_gradientList
| the gradient list More...

## Detailed Description

Internal: the state of a MacDrawProStyleManager.

## Constructor & Destructor Documentation

## ◆ State()

MacDrawProStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initBWPatterns()

void MacDrawProStyleManagerInternal::State::initBWPatterns | ( |  | ) |

init the black and white patterns list

## ◆ initColors()

void MacDrawProStyleManagerInternal::State::initColors | ( |  | ) |

init the colors list

## ◆ initDashs()

void MacDrawProStyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

## ◆ initPens()

void MacDrawProStyleManagerInternal::State::initPens | ( |  | ) |

init the pens list

## Member Data Documentation

## ◆ m_BWPatternList

std::vector<MWAWGraphicStyle::Pattern> MacDrawProStyleManagerInternal::State::m_BWPatternList

the patterns list

## ◆ m_colorList

std::vector<MWAWColor> MacDrawProStyleManagerInternal::State::m_colorList

the color list

## ◆ m_colorPatternList

std::vector<MWAWGraphicStyle::Pattern> MacDrawProStyleManagerInternal::State::m_colorPatternList

the color patterns list

## ◆ m_dashList

std::vector< std::vector<float> > MacDrawProStyleManagerInternal::State::m_dashList

the list of dash

## ◆ m_displayColorList

std::vector<MWAWColor> MacDrawProStyleManagerInternal::State::m_displayColorList

the display color list

## ◆ m_documentSize

MWAWVec2f MacDrawProStyleManagerInternal::State::m_documentSize

the document size (in point)

## ◆ m_fontList

std::vector<MWAWFont> MacDrawProStyleManagerInternal::State::m_fontList

the list of font

## ◆ m_gradientList

std::vector<Gradient> MacDrawProStyleManagerInternal::State::m_gradientList

the gradient list

## ◆ m_numBWPatterns

int MacDrawProStyleManagerInternal::State::m_numBWPatterns

the number of BW pattern

## ◆ m_numColorPatterns

int MacDrawProStyleManagerInternal::State::m_numColorPatterns

the number of color pattern

## ◆ m_numColors

int MacDrawProStyleManagerInternal::State::m_numColors

the number of color

## ◆ m_numPatternsInTool

int MacDrawProStyleManagerInternal::State::m_numPatternsInTool

the number of pattern in tool list

## ◆ m_numStyleZones

int MacDrawProStyleManagerInternal::State::m_numStyleZones[6]

the number of zones

## ◆ m_paragraphList

std::vector<MWAWParagraph> MacDrawProStyleManagerInternal::State::m_paragraphList

the list of paragraph

## ◆ m_penSizeList

std::vector<float> MacDrawProStyleManagerInternal::State::m_penSizeList

the list of pen size

The documentation for this struct was generated from the following file:

- MacDrawProStyleManager.cxx